document.getElementById('review-modal').addEventListener('show.bs.modal', function (event) {
    var button = event.relatedTarget;
    var id = button.getAttribute('data-id');

    var formData = new FormData();
    formData.append("id", id);

    request('/admin/common/api/product/review', formData, function (data) {
        try {
            data = JSON.parse(data);
            if (!(data instanceof Object)) {
                new Toast({
                    type: "danger",
                    title: 'Hata!',
                    message: 'Bir hata oluştu. Lütfen tüm alanları kontrol ediniz',
                    duration: 10000,
                });
            } else {
                if (data['status']) {
                    document.getElementById('id').value = id;
                    document.getElementById('title').value = data['review']['title'];
                    document.getElementById('user_name').value = data['review']['user_name'];
                    document.getElementById('text').value = data['review']['text'];
                    document.getElementById('rating').value = data['review']['rating'];
                    document.getElementById('date_added').value = data['review']['date_added'];
                    document.getElementById('review_status').value = data['review']['status'];
                    document.getElementById('product_title').value = data['review']['product_title'];
                }else{
                    new Toast({
                        type: "danger",
                        title: 'Hata!',
                        message: data['message'],
                        duration: 10000,
                    });
                }
            }
        } catch (e) {
            console.log(e)
            new Toast({
                type: "danger",
                title: 'Hata!',
                message: 'Bir hata oluştu. Lütfen daha sonra tekrar deneyiniz',
                duration: 10000,
            });
        }
    });
});